Package org.firebirdsql.gds.ng.wire.auth

## Enum AuthenticationPlugin.AuthStatus

- java.lang.Object
- - java.lang.Enum<AuthenticationPlugin.AuthStatus>
  - - org.firebirdsql.gds.ng.wire.auth.AuthenticationPlugin.AuthStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AuthenticationPlugin.AuthStatus>`
  Enclosing interface:
    AuthenticationPlugin

      public static enum AuthenticationPlugin.AuthStatus
      extends java.lang.Enum<AuthenticationPlugin.AuthStatus>

  Status of authentication.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTH_CONTINUE` | Plugin is not able to authenticate using the available data, continue with another plugin.
    `AUTH_MORE_DATA` | The authentication needs more data to complete (eg key exchange/handshake).
    `AUTH_SUCCESS` | Authentication completed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AuthenticationPlugin.AuthStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AuthenticationPlugin.AuthStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTH_SUCCESS

          public static final AuthenticationPlugin.AuthStatus AUTH_SUCCESS

      Authentication completed.

    - #### AUTH_CONTINUE

          public static final AuthenticationPlugin.AuthStatus AUTH_CONTINUE

      Plugin is not able to authenticate using the available data, continue with another plugin.

    - #### AUTH_MORE_DATA

          public static final AuthenticationPlugin.AuthStatus AUTH_MORE_DATA

      The authentication needs more data to complete (eg key exchange/handshake).

  - ### Method Detail

    - #### values

          public static AuthenticationPlugin.AuthStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthenticationPlugin.AuthStatus c : AuthenticationPlugin.AuthStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthenticationPlugin.AuthStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null